<?php
/**
 * The category view file of entry module of ZDOO.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Gang Liu <liugang@cnezsoft.com>
 * @package     entry 
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../common/view/header.html.php';?>
<div class='panel'>
  <div class='panel-heading'>
    <strong><?php echo $lang->entry->category;?></strong>
  </div>
  <div class='panel-body'>
    <form id='ajaxForm' method='post'>
      <table class='table table-form w-p50' id='categoryList'>
        <?php
        $maxOrder = 0;
        foreach($children as $child)
        {
            if($child->order > $maxOrder) $maxOrder = $child->order;
            echo "<tr><td><div class='input-group'>";
            echo html::input("children[$child->id]", $child->name, "class='form-control'");
            echo "<span class='input-group-addon'>" . html::a(helper::createLink('tree', 'delete', "id={$child->id}"), "<i class='icon-remove'></i>", "class='deleteCategory'") . "</span>";
            echo html::hidden("mode[$child->id]", 'update');
            echo "</div></td></tr>";
        }

        for($i = 0; $i < 5 ; $i ++)
        {
            echo "<tr><td><div class='input-group'>";
            echo html::input("children[]", '', "class='form-control' placeholder='{$lang->entry->category}'");
            echo html::hidden('mode[]', 'new');
            echo "</div></td></tr>";
        }

        echo "<tr><td class='form-actions'>" . html::submitButton() . "</td></tr>";
        echo html::hidden('parent',   0);
        echo html::hidden('maxOrder', $maxOrder);
        ?>
      </table>
    </form>
  </div>
</div>
<?php include '../../common/view/footer.html.php';?>
